local entertainmentMod = ...

entertainmentMod:register({
	DataType = "BUILDING_PART",
	Id = prefix.."_BATH_PART",
	Name = prefix.."_BATH_PART_NAME",
	Description = prefix.."_BATH_PART_DESC",
	Category = "CORE",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE"
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = prefix.."_PREFAB_BUILDING_PART_BATH"
	},
	ConstructionVisual = prefix.."_PREFAB_BUILDING_PART_BATH_CONSTRUCTION_STEPS",
	Cost = {
		UpkeepCost = {
			{
				Resource = "GOLD",
				Quantity = 2
			}
		},
		RessourcesNeeded = {
			{
				Resource = "POLISHED_STONE",
				Quantity = 20
			},
			{
				Resource = "WATER",
				Quantity = 5
			}
		}
	},
	EstateSplendor = {
		{
			Estate = "CLERGY",
			Quantity = 0.2
		}
	}
})