local entertainmentMod = ...

entertainmentMod:register({
	DataType = "BUILDING_PART",
	Id = prefix.."_BATHHOUSE_PART",
	Name = prefix.."_BATHHOUSE_PART_NAME",
	Description = prefix.."_BATHHOUSE_PART_DESC",
	Category = "CORE",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE"
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = prefix.."_PREFAB_BUILDING_PART_BATHHOUSE"
	},
	ConstructionVisual = prefix.."_PREFAB_BUILDING_PART_BATHHOUSE_CONSTRUCTION_STEPS",
	BuildingFunction = prefix.."_BATHHOUSE_FUNCTION",
	Cost = {
		UpkeepCost = {
			{
				Resource = "GOLD",
				Quantity = 1
			}
		},
		RessourcesNeeded = {
			{
				Resource = "PLANK",
				Quantity = 75
			},
			{
				Resource = "STONE",
				Quantity = 25
			}
		}
	},
	EstateSplendor = {
		{
			Estate = "CLERGY",
			Quantity = 0.5
		}
	}
})