local entertainmentMod = ...

entertainmentMod:register({
	DataType = "BUILDING_PART",
	Id = prefix.."_GALLOW_KEEP_PART",
	Name = prefix.."_GALLOW_KEEP_PART_NAME",
	Description = prefix.."_GALLOW_KEEP_PART_DESC",
	Category = "CORE",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE"
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = prefix.."_PREFAB_BUILDING_PART_GALLOW_KEEP"
	},
	ConstructionVisual = prefix.."_PREFAB_BUILDING_PART_GALLOW_KEEP_CONSTRUCTION_STEPS",
--	BuildingFunction = prefix.."_GALLOW_KEEP_FUNCTION",
	Cost = {
		UpkeepCost = {
			{
				Resource = "GOLD",
				Quantity = 1
			}
		},
		RessourcesNeeded = {
			{
				Resource = "PLANK",
				Quantity = 25
			},
			{
				Resource = "STONE",
				Quantity = 50
			}
		}
	},
	EstateSplendor = {
		{
			Estate = "KINGDOM",
			Quantity = 0.5
		}
	}
})