local entertainmentMod = ...

entertainmentMod:dofile("scripts/monuments/haunted_house/prefabs/setup_prefabs.lua")
entertainmentMod:dofile("scripts/monuments/haunted_house/building_parts/setup_building_parts.lua")

entertainmentMod:register({
	DataType = "MONUMENT",
	Id = prefix.."_HAUNTED_HOUSE_MONUMENT",
	Name = prefix.."_HAUNTED_HOUSE_MONUMENT_NAME",
	Description = prefix.."_HAUNTED_HOUSE_MONUMENT_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{ 
			Name = prefix.."_HAUNTED_HOUSE_CORE_PART_SET_NAME",
			BuildingPartList = { 
				prefix.."_HAUNTED_HOUSE_ROOT_PART",
				prefix.."_HAUNTED_HOUSE_EXTENSION_A_ROOT_PART",
				prefix.."_HAUNTED_HOUSE_EXTENSION_B_ROOT_PART"
			}
		},
		{
			Name = prefix.."_HAUNTED_HOUSE_DOOR_PART_SET_NAME",
			BuildingPartList = {
				prefix.."_HAUNTED_HOUSE_DOOR_A_PART"
			}
		},
		{
			Name = prefix.."_HAUNTED_HOUSE_DECORATION_PART_SET_NAME",
			BuildingPartList = { 
				prefix.."_HAUNTED_HOUSE_BALCONY_A_PART",
				prefix.."_HAUNTED_HOUSE_TOWER_A_PART",
				prefix.."_HAUNTED_HOUSE_WINDOWS_A_PART",
				prefix.."_HAUNTED_HOUSE_WINDOWS_B_PART",
				prefix.."_HAUNTED_HOUSE_WINDOWS_C_PART"
			}
		}
	},
	RequiredPartList = {
		{
			Category = "CORE",
			Quantity = 1
		},
		{
			Category = "DOOR",
			Quantity = 1
		}
	},
	IsEditable = true,
	IsClearTrees = true
})