local entertainmentMod = ...

entertainmentMod:register({
	DataType = "BUILDING_PART",
	Id = prefix.."_HAUNTED_HOUSE_EXTENSION_B_ROOT_PART",
	Name = prefix.."_HAUNTED_HOUSE_EXTENSION_B_ROOT_PART_NAME",
	Description = prefix.."_HAUNTED_HOUSE_EXTENSION_B_ROOT_PART_DESC",
	VillagerCapacity = 10,
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" 
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = prefix.."_PREFAB_BUILDING_PART_HAUNTED_HOUSE_EXTENSION_B_ROOT",
		EndPart = prefix.."_HAUNTED_HOUSE_EXTENSION_B_TOP_PART",
		FillerList = {
			prefix.."_HAUNTED_HOUSE_EXTENSION_B_TILING_A_PART"
		},
		BasementFillerList = {
			prefix.."_HAUNTED_HOUSE_EXTENSION_B_BASEMENT_PART"
		},
		MinimumScale = 1,
		BasementScale = 1,
		IsVertical = true
	},
	ConstructionVisual = prefix.."_PREFAB_BUILDING_PART_HAUNTED_HOUSE_EXTENSION_B_CONSTRUCTION_STEPS",
	BuildingFunction = prefix.."_DEFAULT_ASSIGNABLE_FUNCTION",
	Cost = {
		UpkeepCost = {
			{
				Resource = "GOLD",
				Quantity = 1
			}
		},
		RessourcesNeeded = { 
			{
				Resource = "PLANK",
				Quantity = 10
			},
			{
				Resource = "POLISHED_STONE",
				Quantity = 5
			}
		}
	},
	EstateSplendor = {
		{
			Estate = "LABOUR",
			Quantity = 0.2
		}
	}
})