local entertainmentMod = ...

entertainmentMod:dofile("scripts/monuments/entertainment_monument/prefabs/setup_prefabs.lua")
entertainmentMod:dofile("scripts/monuments/entertainment_monument/building_parts/setup_building_parts.lua")

entertainmentMod:register({
	DataType = "MONUMENT",
	Id = prefix.."_ENTERTAINMENT_MONUMENT",
	Name = prefix.."_ENTERTAINMENT_MONUMENT_NAME",
	Description = prefix.."_ENTERTAINMENT_MONUMENT_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{
			Name = prefix.."_ENTERTAINMENT_MONUMENT_GALLOW_KEEP_PART_SET_NAME",
			BuildingPartList = { 
				prefix.."_GALLOW_KEEP_PART",
				prefix.."_KEEP_EXTENSION_PART"
			}
		},
		{
			Name = prefix.."_ENTERTAINMENT_MONUMENT_BROTHEL_PART_SET_NAME",
			BuildingPartList = {
				prefix.."_BROTHEL_PART"
			}
		},
		{
			Name = prefix.."_ENTERTAINMENT_MONUMENT_BATHHOUSE_PART_SET_NAME",
			BuildingPartList = { 
				prefix.."_BATHHOUSE_PART",
				prefix.."_BATH_PART" 
			}
		},
		{
			Name = prefix.."_ENTERTAINMENT_MONUMENT_BARBERSHOP_PART_SET_NAME",
			BuildingPartList = {
				prefix.."_BARBERSHOP_PART"
			}
		},
		{
			Name = prefix.."_ENTERTAINMENT_MONUMENT_SALOON_PART_SET_NAME",
			BuildingPartList = {
				prefix.."_SALOON_PART"
			}
		}
	},
	RequiredPartList = {
		{
			Category = "CORE",
			Quantity = 1
		}
	},
	IsEditable = true
})