local entertainmentMod = ...

entertainmentMod:register({
	DataType = "BUILDING_PART",
	Id = prefix.."_BARBERSHOP_PART",
	Name = prefix.."_BARBERSHOP_PART_NAME",
	Description = prefix.."_BARBERSHOP_PART_DESC",
	Category = "CORE",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE"
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = prefix.."_PREFAB_BUILDING_PART_BARBERSHOP"
	},
	ConstructionVisual = prefix.."_PREFAB_BUILDING_PART_BARBERSHOP_CONSTRUCTION_STEPS",
	BuildingFunction = prefix.."_BARBERSHOP_FUNCTION",
	Cost = {
		UpkeepCost = {
			{
				Resource = "GOLD",
				Quantity = 1
			}
		},
		RessourcesNeeded = {
			{
				Resource = "STONE",
				Quantity = 20
			},
			{
				Resource = "PLANK",
				Quantity = 30
			},
		}
	},
	EstateSplendor = {
		{
			Estate = "LABOUR",
			Quantity = 0.5
		}
	}
})