local entertainmentMod = ...

entertainmentMod:register({
	DataType = "BUILDING_PART",
	Id = prefix.."_KEEP_EXTENSION_PART",
	Name = prefix.."_KEEP_EXTENSION_PART_NAME",
	Description = prefix.."_KEEP_EXTENSION_PART_DESC",
	VillagerCapacity = 10,
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE"
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = prefix.."_PREFAB_BUILDING_PART_KEEP_EXTENSION"
	},
	ConstructionVisual = prefix.."_PREFAB_BUILDING_PART_KEEP_EXTENSION_CONSTRUCTION_STEPS",
	BuildingFunction = prefix.."_DEFAULT_ASSIGNABLE_FUNCTION",
	Cost = {
		UpkeepCost = {
			{
				Resource = "GOLD",
				Quantity = 1
			}
		},
		RessourcesNeeded = {
			{
				Resource = "PLANK",
				Quantity = 10
			}
		}
	},
	EstateSplendor = {
		{
			Estate = "KINGDOM",
			Quantity = 0.2
		}
	}

})